import request from '@/utils/request'

// 查询会员签到记录列表
export function listSign(query) {
  return request({
    url: '/account/sign/list',
    method: 'get',
    params: query
  })
}

// 查询会员签到记录详细
export function getSign(uid) {
  return request({
    url: '/account/sign/' + uid,
    method: 'get'
  })
}

// 新增会员签到记录
export function addSign(data) {
  return request({
    url: '/account/sign',
    method: 'post',
    data: data
  })
}

// 修改会员签到记录
export function updateSign(data) {
  return request({
    url: '/account/sign',
    method: 'put',
    data: data
  })
}

// 删除会员签到记录
export function delSign(uid) {
  return request({
    url: '/account/sign/' + uid,
    method: 'delete'
  })
}
